Subject: Re: [ANNOUNCE] e1000 to e1000e migration of PCI Express devices

From: Jeff Garzik <[email-masked]>
Date: Tue, 08 Apr 2008 10:21:39 -0400

Ingo Molnar wrote:
> ( sidenote: isnt there some facility that selects the "better" driver in 
>   case there is an overlap between PCI IDs - with the ability for users 
>   to override that selection? )

No.

Multiple PCI IDs in the same driver creates all sorts of problems, 
because it becomes an ambiguious selection where automated tools cannot 
make a choice for you.

Each one typically requires special case code in relevant distro 
installers, hardware detectors, and similar gadgets, since the normal 
modules.pcimap stuff doesn't work due to the duplicate IDs.

We have no way to export which is the "preferred" driver -- and indeed 
in many cases, that's an impossible task, since the "preferred" driver 
for a user sometimes depends on the hardware's programmed mode rather 
than just a choice.

	Jeff